Package org.eclipse.m2m.atl.engine.vm.nativelib

# Class ASMModule

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.nativelib.ASMModule

public class ASMModule extends ASMOclAny

## Field Summary

Fields
Modifier and Type
Field
Description
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ASMModule(ASM asm)`

## Method Summary

Modifier and Type
Method
Description
`static ASMMap`
`asMap(StackFrame frame, ASMModule self)`
`ASMOclAny`
`get(StackFrame frame, String name)`
`String`
`getName()`
`void`
`set(StackFrame frame, String name, ASMOclAny value)`
`String`
`toString()`
`void`
`unset(StackFrame frame, String name)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, setType, toString`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

## Constructor Details

### ASMModule

public ASMModule(ASM asm)

## Method Details

### get

public ASMOclAny get(StackFrame frame, String name)

Overrides:
  `get` in class `ASMOclAny`

### set

public void set(StackFrame frame, String name, ASMOclAny value)

Overrides:
  `set` in class `ASMOclAny`

### unset

public void unset(StackFrame frame, String name)

Overrides:
  `unset` in class `ASMOclAny`
See Also:
  - `ASMOclAny.unset(org.eclipse.m2m.atl.engine.vm.StackFrame, java.lang.String)`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getName

public String getName()

### asMap

public static ASMMap asMap(StackFrame frame, ASMModule self)